| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class Key

    java.lang.Object
      |
      +--Key

public class Key
extends java.lang.Object

Field Summary
`private java.lang.String` | `a`
`private byte` | `tag`

Constructor Summary
`Key(byte t, java.lang.String a)`

Method Summary
`void` | `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `get_a()`
`byte` | `get_tag()`
`void` | `set_a(java.lang.String s)`
`void` | `set_tag(byte t)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    private byte tag

### a

    private java.lang.String a

Constructor Detail

### Key

    public Key(byte t,
               java.lang.String a)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### get_tag

    public byte get_tag()

### get_a

    public java.lang.String get_a()

### set_tag

    public void set_tag(byte t)

### set_a

    public void set_a(java.lang.String s)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD